package cn.superdesk.uniorder.service.thirdpart.szhtxx.electronicInvoice;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxXmxx;
import cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxXmxxQueryCriteria;
import cn.superdesk.uniorder.dto.vo.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxXmxxListItemVo;
import cn.superdesk.uniorder.service.base.BaseService;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;


/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2022-01-24 11:50:43
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022-01-24 11:50:43
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface SzhtxxElectronicInvoiceFptxxXmxxService extends BaseService<SzhtxxElectronicInvoiceFptxxXmxx> {//


    /****************************************** extends BaseService 部分 start ******************************************/

    int insertSelective(SzhtxxElectronicInvoiceFptxxXmxx entity);

    int updateByPrimaryKeySelective(SzhtxxElectronicInvoiceFptxxXmxx entity);

    int opUpdateLogicalTemp2Normal(String batchId, String fpqqlsh, LoginSysUser loginSysUser);

    @Deprecated
    void deleteObj(Long id);

    int opLogicalDelete(String batchId, String fpqqlsh, LoginSysUser loginSysUser);

    @Deprecated
    SzhtxxElectronicInvoiceFptxxXmxx findById(Long id);

    @Deprecated
    PageInfo<SzhtxxElectronicInvoiceFptxxXmxx> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

    @Deprecated
    List<SzhtxxElectronicInvoiceFptxxXmxx> findAll(Map<String, Object> queryMap);

    /****************************************** extends BaseService 部分   end ******************************************/


    void addSzhtxxElectronicInvoiceFptxxXmxx(SzhtxxElectronicInvoiceFptxxXmxx entity);

    int insertBatch(List<SzhtxxElectronicInvoiceFptxxXmxx> processList);

    void updateSzhtxxElectronicInvoiceFptxxXmxx(SzhtxxElectronicInvoiceFptxxXmxx entity);

    void deleteSzhtxxElectronicInvoiceFptxxXmxx(Long id);

    SzhtxxElectronicInvoiceFptxxXmxx findSzhtxxElectronicInvoiceFptxxXmxxById(Long id);

    R<List<SzhtxxElectronicInvoiceFptxxXmxx>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

    R<List<SzhtxxElectronicInvoiceFptxxXmxx>> pageQueryGenericParam(SzhtxxElectronicInvoiceFptxxXmxxQueryCriteria criteria);

    List<SzhtxxElectronicInvoiceFptxxXmxxListItemVo> queryGenericParam(SzhtxxElectronicInvoiceFptxxXmxxQueryCriteria queryCriteria, LoginSysUser loginSysUser);


}
